commit 163efcdb67c3328e739564c53e47b74ff421999f
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Jul 9 20:28:24 2012 +0200

    Version bump
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit cc1f59b3fe772c0e4b18f620192233d56e94a4e4
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Jul 9 20:27:52 2012 +0200

    Fix PostGenerationDeclaration.extract.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 4a683034ae2d53adf9d2faa94051393646d65725
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Jul 9 20:27:32 2012 +0200

    Fix TestCase name conflict
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit c3069876b43cc30b24df44ef1b5ada1a1dc0358b
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Jun 19 12:43:22 2012 +0200

    Version bump to 1.1.4
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 15fdd4d86414adef75dca085644ebc4095acf9c7
Merge: 18393e0 5e3c4f8
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Jun 6 13:04:45 2012 -0700

    Merge pull request #17 from michaeljoseph/patch-1
    
    Two small typos

commit 5e3c4f80bade5b89b5137b04274e84796c9a7afc
Author: Michael Joseph <michaeljoseph+github@gmail.com>
Date:   Wed Jun 6 19:22:42 2012 +0300

    Typo: thoughtbot (fixes link too)

commit 13c8b052703ac9bf17aea855e7ecd5009d0a5cda
Author: Michael Joseph <michaeljoseph+github@gmail.com>
Date:   Wed Jun 6 19:20:38 2012 +0300

    Typo.

commit 18393e00d21276ba7f8b6d83b51510470781ec69
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Jun 1 13:35:46 2012 +0200

    Fix sequence count for SubFactory (Closes #16).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f60ae420b8505100b9079a6c695074ef12c5e7c7
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri May 4 02:01:46 2012 +0200

    Add link to travis-ci build status image.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit be0b9bfcb63d3b6dedd1455eb04273d0ce2508db
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri May 4 01:58:50 2012 +0200

    Try to install unittest2 on python-2.6 for travis-ci.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 37b244b5e7d4e025e474112a08d90ca418f6a262
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri May 4 01:48:03 2012 +0200

    Enable builds for python-2.6 on travis-ci.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit d96c651f51b25988235ff79b50c7f9355fb16dd7
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri May 4 01:17:59 2012 +0200

    Only absorb dependant arguments for SubFactory fields (Closes #15).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit fbd66ede5617a40f73dfb3f518c9887d48ab401e
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed May 2 10:31:31 2012 +0200

    Typo in PostGenerationMethodCall.__init__ (Closes #14).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 92bb3cf12120d03a4aa2e4731b7037dee89f94a8
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue May 1 14:54:29 2012 +0200

    Fix typo in docs/subfactory.rst (Closes #13).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 89d31221df8dad5678650b9564de2d1035c6c260
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 11:09:00 2012 +0200

    Fixed documentation link.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 41651ed2691c25ec7eae7d5034554e0903eb4e13
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 11:08:21 2012 +0200

    Cleaner link.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 767537ae3f9f17ba87d0c762e642c24afe3b247b
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 11:06:33 2012 +0200

    Add link to documentation on first page.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b2f9330ddfb66cfbdc45277cfc0e9584d5815143
Merge: 88c7f03 10008c9
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sun Apr 15 02:03:22 2012 -0700

    Merge pull request #11 from kmike/test-improvements
    
    Use a proper shebang (/usr/bin/env) for setup.py

commit 88c7f03e02162764fa770f53a6f554bfde0f7385
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 10:46:23 2012 +0200

    Add doc for post_generation hooks.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f87f03b583c22e810dced73ed277910d9bc8232a
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 10:46:08 2012 +0200

    Rename post_declaration to post_generation.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f8a93d6599b71123789541adf9658cd095402f0f
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Sun Apr 15 09:45:11 2012 +0200

    Expose and test factory.RelatedFactory.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 0e7fed312bf2de6d628a61b116bd91e04bf0a9ff
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Apr 13 19:42:19 2012 +0200

    Handle the PostGeneration declarations.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b590e5014351a79d66d2f4816b1a6aa83908f395
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Apr 13 19:33:54 2012 +0200

    Add PostGenerationDeclarationDict (cf. DeclarationDict).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 27dcb6fe29a09d6cb2d83a59229e562093da4f7b
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Apr 13 19:33:22 2012 +0200

    Whitespace cleanup
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 03c92201e34cea40b494c4aefb324af100c181ea
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Apr 13 17:52:08 2012 +0200

    Make tests compatible with python2.6 + unittest2
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 3ba8ed544fa9e866f97efc41155ee296f022e9b4
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Apr 13 17:51:01 2012 +0200

    Add basis for PostGenerationDeclaration
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 184dd0516267c58370d6a88afb1c1ce894b2b7c1
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Apr 9 13:31:13 2012 +0200

    Cleaner extract_dict: allow excluded keys.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 10008c906750adc0b3a4df544853eb792c35de56
Author: Mikhail Korobov <kmike84@gmail.com>
Date:   Tue Apr 10 16:52:54 2012 +0600

    proper shebang for setup.py

commit 223c31ce7dd962f43c580c89fa1966939557bc5c
Merge: e80cbdc 3ee3ec2
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue Apr 10 00:01:43 2012 -0700

    Merge pull request #9 from kmike/test-improvements
    
    Test running improvements

commit 3ee3ec211e8aa78ad3c00e27b1c3965bad85b2ad
Author: Mikhail Korobov <kmike84@gmail.com>
Date:   Tue Apr 10 11:38:00 2012 +0600

    2 bytes less to download

commit af00973f82337a24aeececa2244ea3fc532db6d2
Author: Mikhail Korobov <kmike84@gmail.com>
Date:   Tue Apr 10 10:58:14 2012 +0600

    Test running improvements: tests can be run under python 2.6 (by using optional unittest2), tox config for testing under different pythons, explicit python version requirements (factory_boy works with python 2.6 and 2.7); ./setup.py test returns proper error code in case of test failure.

commit e80cbdc3224297ee57667e4000f1a671af05f520
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Apr 9 01:10:42 2012 +0200

    Move ATTR_SPLITTER logic to a dedicated module.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 250ce5bdc8b6067a28351f5b3bb4c418d3f1e731
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sat Apr 7 02:13:02 2012 +0200

    Fix tests.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit ff958948b937386d3c8581dbe0dc368e5796c15a
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sat Apr 7 02:15:40 2012 +0200

    Fix the __str__ method of factory classes.

commit 4bcf146c71589f4b225823eb418ee6908b2efb6b
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sat Apr 7 02:14:58 2012 +0200

    Add and document abstract factories (Closes #8).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 0708fc0bbf29e4426075fcedd45a2d41c6271282
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri Mar 23 18:29:16 2012 +0100

    Add travis-ci configuration.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit db643d44c51659d9460aa73eb21e7888b22896de
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sat Mar 17 02:29:24 2012 +0100

    Add a '@use_strategy' decorator for forcing alternate strategies.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 84019217057d1752fba021b2bfe940af5636977d
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Mar 9 22:33:31 2012 +0100

    Version bump, for packaging purposes.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit f061672eed5fb5849d4f4141ba82963ba6913ebc
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Mar 9 22:32:50 2012 +0100

    Add MANIFEST.in entries for docs and tests.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 0f4e9d32a68ed6757f0e3a9216d3bbb4cf2f1280
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Mar 9 22:22:05 2012 +0100

    Add MANIFEST.in
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 8879108f5595099785565cae35938a356bbbeced
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Mar 9 22:06:26 2012 +0100

    Add a couple of tests for scope bleeding with InfiniteIterator and list comprehensions (See #6).
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit b1682f428d29ea947604447c328b1a09a79313c0
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 23:59:18 2012 +0100

    Version bump.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 8a459c5e26a14a531f78d740b325c996044df760
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 23:58:54 2012 +0100

    Add the Iterator and InfiniteIterator attribute kinds.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit cbbe5cc359412c8e6c49e06d5d1f35680ad88c40
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 23:31:02 2012 +0100

    Add support for 'generate' and 'simple_generate'
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 86cd8c2472dff6fe62e3c1f83bd9a1a3523ce08e
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 09:50:24 2012 +0100

    Version bump
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 1643e56a6e4ca0e90621b9c39928b2c6bfb63063
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 09:49:49 2012 +0100

    Add batches.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 59274330932d5eae3b708c5e944a7ae452cdddaf
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 01:28:19 2012 +0100

    Improve docs.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit dc16881ebf674295a3e855bfc4798a0ce8bd94d2
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 01:14:30 2012 +0100

    Improve the 'SelfAttribute' syntax.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 3663c1090f6ce016ebc0e9266c4cd4e85796984b
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 00:19:31 2012 +0100

    Add README.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit b297d69b2d7027793994d14381bdb8457b8bd8cb
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 00:18:53 2012 +0100

    Upgrade version.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 826312ad0629ab49cab436d7cb1d27a898e7d864
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 00:17:04 2012 +0100

    Improve documentation.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 2a1138550b3220b6f8cd23bae5fed03f0fb448cf
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Feb 24 00:07:53 2012 +0100

    Allow using '__' in factory.SelfAttribute.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit ff9d0f536bc443b81e6c95cf31644b6e19236538
Merge: aaf283a 33d5a1e
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Feb 1 15:25:00 2012 -0800

    Merge pull request #5 from eyvoro/patch-1
    
    Update README.rst

commit 33d5a1ee95c78f2d67fcb4f5d217edb9b1a13301
Author: Andrey Voronov <voronov84@gmail.com>
Date:   Thu Feb 2 00:40:14 2012 +0200

    Update README.rst

commit aaf283a81b39d6fc3d2ff493abaf14c318887a79
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 13 00:04:29 2012 +0100

    Remove deprecated examples from the doc -- explicit is better than implicit, etc.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 6329a894c0b148f1c8bba2ebf224201419cf44ff
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 13 00:01:01 2012 +0100

    Add a PendingDeprecationWarning on associated class auto-discovery.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit c60c3106c700f5f42ad4fcf82f327da98ec5eb9e
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Jan 12 23:21:38 2012 +0100

    Add __repr__ / __str__ to a couple of objects.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 0c4b9334c93170ce6df17506f48e3937090aec05
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Jan 12 23:11:58 2012 +0100

    Rename LazyContainerAttibute to ContainerAttribute.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 74225f59761ed3e09b625d9886552bdafb0fc30d
Merge: 363fa7b 5bdc19c
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Jan 12 13:30:41 2012 -0800

    Merge pull request #4 from carljm/allow-public-classmethods
    
    Allow public classmethods/staticmethods on factories.

commit 5bdc19ccbde3934a05b11a0d0edf50d3b31e930d
Author: Carl Meyer <carl@oddbird.net>
Date:   Thu Jan 12 09:03:22 2012 -0700

    Correct out-of-date docstring.

commit 99ffa8c49df4baa9681d649ce0b19b6d3b5ad99a
Author: Carl Meyer <carl@oddbird.net>
Date:   Thu Jan 12 09:01:46 2012 -0700

    Added support for staticmethods on factories as well.

commit 8aec45386aaf410a36bdf57ebf24cfe9f1fdf3b2
Author: Carl Meyer <carl@oddbird.net>
Date:   Thu Jan 12 08:59:36 2012 -0700

    Clarify extended if check in DeclarationDict.update_with_public.

commit bf57308c9dcc2d96161993026e138ec181550653
Author: Carl Meyer <carl@oddbird.net>
Date:   Thu Jan 12 08:50:27 2012 -0700

    Added API test for classmethod on factory.

commit 24b6a6b83cfb7cd5bab304bb8cc22383cf461d85
Merge: 86393d4 363fa7b
Author: Carl Meyer <carl@oddbird.net>
Date:   Thu Jan 12 08:48:34 2012 -0700

    Merge branch 'master' into allow-public-classmethods

commit 363fa7b470286f2b38ab33a7e986bfd000f25d86
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Jan 12 08:50:29 2012 +0100

    Rearrange tests.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 4964327f517202ecc99a0bf1f90d548eb9f9f5a1
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Jan 12 08:39:47 2012 +0100

    Add support for 'LazyContainerAttribute', when a SubFactory field needs access to attributes from its parent.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit aa365e20736b3d7582051b3351c3a970b3c2bdb9
Merge: 1d2ca8d 87ff554
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Jan 11 17:46:43 2012 -0800

    Merge pull request #3 from ghickman/master
    
    Use pip instead of easy_install

commit 86393d4d1117426bc2aafbfb9f11f96c463f05f1
Author: Carl Meyer <carl@oddbird.net>
Date:   Wed Jan 11 14:11:45 2012 -0700

    Allow public classmethods on factories.

commit 87ff55473bbbbdb8f23f812d1e6e9b0d7c74a34a
Author: George Hickman <george@ghickman.co.uk>
Date:   Wed Jan 11 16:40:51 2012 +0000

    Use pip instead of easy_install

commit 1d2ca8d02e190460f85d20be47bbb1e02f268bd2
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sun Jan 8 21:14:54 2012 +0100

    Add tests for subfactory field overriding.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit b81f0282acbb8ee03d56b5ea8957e439efc5bf27
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Sun Jan 8 21:14:33 2012 +0100

    Add examples to the doc.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit bcc1ad6fdce458ae3b24270789ab60ddd2425c4a
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 6 23:43:52 2012 +0100

    Publish the make_factory method, and make sure that complex declarations work with it.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 8563a98022b8b3e855bf036a57aad4fd86319eff
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 6 23:39:33 2012 +0100

    Add factory.build(), factory.create(), factory.stub() methods.
    
    Those are shortcuts for writing a full Factory class.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 105f2fe021a71e1f03650e3bcdd657152fe19a20
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 6 23:38:51 2012 +0100

    Properly import the 'base' module in test_base.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 715276f3a47b34d40574cb22e806ee1fa2d100f1
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Fri Jan 6 23:13:57 2012 +0100

    Add docs for SubFactory.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 5620221c13398a09cbf2ded1b22ac8304f3f5c27
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Jan 2 17:05:42 2012 +0100

    Fix kwargs syntax in README custom creation section.
    
    Thanks to 'Lispython' (https://github.com/Lispython) for finding the mistake.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 41ad5d00acdffaf9c7c59cc3cd7c0dd19c2c7600
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Dec 22 01:33:13 2011 +0100

    Fix package name for re-upload to PyPI.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 8d340fae32fda27c5b5efc288bee97e15825685b
Merge: adf158a c7d92cb
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed Dec 21 16:31:21 2011 -0800

    Merge pull request #2 from dnerdy/master
    
    Updated the package description

commit c7d92cbfe24abdf03a4258751fb455f12f24eec3
Author: Mark Sandstrom <mark@deliciouslynerdy.com>
Date:   Wed Dec 21 11:51:49 2011 -0800

    Updated the package description

commit adf158a674c46bf6c30cf73f3983db3badc60772
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 12:31:25 2011 +0100

    Update author/maintainer information.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 21c80c79b4706d8acaed46ac8c8422a14c1eb36e
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 02:46:40 2011 +0100

    Cleanup 'factory.declarations'.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 6e5abce2451b873b35f495460603dce4ca7acd5e
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 02:35:17 2011 +0100

    Cleanup 'factory.declarations'.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit f6f717812ff12b013c878b7cecd1ed9d662aa871
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 02:01:12 2011 +0100

    More cleanup and comments in factory.base
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit d7058e7878e45ae240932ec2bae5569a611b6b20
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 01:43:33 2011 +0100

    Cleanup base module.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 055c40b9919d2d3786cc86988722125a26b338b0
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 01:43:16 2011 +0100

    Add encoding header.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit dec51532eece79831f055d9c4761c123f762812d
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 01:08:27 2011 +0100

    Update copyrights.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 0cabe97af256c5b4ec72fc19a4ded7ac0f399c72
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 01:01:59 2011 +0100

    Add a 'test' command to the setup.py script.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 776674da04856635518d41de5375cea04f24d3d7
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Wed Dec 21 00:01:40 2011 +0100

    Allow custom 'build' functions.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 7897776dd1c6f8129e283fc6b21161121bc32dd9
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue Dec 20 23:36:02 2011 +0100

    Temporary alternate package name.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit cee95fcd35b04f88db4c4b9c342452dcf69acf38
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue Dec 20 23:34:20 2011 +0100

    Add utf8 file headers.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 7e8666ef42172d5ab12e1bf314379f4231b136f4
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue Dec 20 23:29:04 2011 +0100

    Version bump, author info updated.
    
    Getting ready for PyPI upload.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 7e72344e55b930180cd2d66b44ccccaed45f79e5
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Tue Dec 20 23:26:51 2011 +0100

    Add first draft of a documentation.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 5081386e08d38a823081144692ded84783ae0945
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Thu Sep 15 23:49:39 2011 +0200

    Update README.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit d90d41a06e763067d80b5fdaf890d9b829c959c5
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon Dec 12 16:24:26 2011 +0100

    Django models always have a _default_manager attribute; .objects may not be a manager.

commit 41c68349cf3925818a6c05477790a2f67d431d39
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Sep 6 17:18:00 2011 +0200

    Rewrite all the 'OrderedDeclaration' part.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit d17972e3e21c14ecca91e4238fa0726bd1a68a23
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Sep 6 15:04:06 2011 +0200

    Bugfix for stub.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit fc2ee21374aa175521aaf1f164424a24c518c910
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Sep 6 14:24:11 2011 +0200

    Update all tests, and fix a couple of bugs.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 5c770cb1918d8067db69d3c880a9a6ad1d31ddb8
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Sep 6 12:04:51 2011 +0200

    Huge refactoring and code cleanup.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 2821684dec8a71e93728fc3e036f83592324b518
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Sep 5 22:17:28 2011 +0200

    Better fix for nested subfactories.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 89631460a87d84790bc88766433e42f881937bf7
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Sep 5 21:40:10 2011 +0200

    Handle nested SubFactory with extra attributes.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 0d97937d994d4ec11f77661985be971a61daa6e3
Author: Raphaël Barrois <raphael.barrois@polytechnique.org>
Date:   Mon Sep 5 21:24:45 2011 +0200

    Update docstrings.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polytechnique.org>

commit 6983f7fcbb9bad0ea825fb3de8682f178fab5647
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon Aug 22 15:53:40 2011 +0200

    Allow inheriting from more than one factory.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 0064fcff0df2c04c48e3e70723a2f523d30fb533
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Thu Aug 18 11:27:31 2011 +0200

    Cleanup rmoch's DjangoModelFactory fix.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit e7ff751f670df86450a7e09d1c6b542c32448ef4
Author: Richard Moch <richard@mbp.polyconseil.fr>
Date:   Wed Aug 17 16:48:33 2011 +0200

    Bugfix DjangoModelFactory

commit bbe78f8b43ee92120072a7be8c3e5b24f9f8a940
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed Aug 10 19:58:01 2011 +0200

    Use the same sequence counter for parent and child classes.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 70e961169a14588d223e282387cdbab0cb8a404c
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed Aug 3 18:28:09 2011 +0200

    Allow the definition of 'abstract' factories.
    
    Needs more testing.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 720371777ff8cf3e5d299398d530b948034a228a
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed Aug 3 18:01:26 2011 +0200

    Add a 'DjangoModelFactory'.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit ea86cec104f3a469318349af3ced1262d47169aa
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed Jul 13 12:45:24 2011 +0200

    Fix doc for _setup_next_sequence; fix trailing whitespace.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit c4e749bf464cfd9aced3adcf729052079bc25eaa
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Jul 5 12:20:48 2011 +0200

    Add some doc on subfactories.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 674878a940d1048e56ade5df08876ba963faeeb8
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue Jul 5 12:10:29 2011 +0200

    Allow users to define a custom method for retrieving the first sequence of a given factory.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b832744b70ed811029edb045afc42ea307073c8e
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon Jun 13 11:33:37 2011 +0200

    Add a new type of attribute, SelfAttribute.
    
    Should be used as a shortcut for 'lambda o: o.some_attr' ; most useful in SubFactories.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit e16a7e3d15c7b88bceadbbe1d75363103570e2b3
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon Jun 13 11:27:14 2011 +0200

    Add tests for nice behaviour of SubFactory.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit cb66c88859d8de161561ae42c9eccd8af56440c8
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Tue May 24 09:58:16 2011 +0200

    Fix the SubFactory/Sequence behaviour.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit e42516b995053d0d5f8d4d13a94cea4953ea1850
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 15:32:05 2011 +0200

    Prevent inherited classes from affecting superclasses.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit e3ec551cc6895a40e0cb1167e06fa4fba71a2a7c
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 14:49:18 2011 +0200

    Ignore coverage files.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 87f6af9194789ad0fafa089d9b394353cd9d21a5
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 14:48:39 2011 +0200

    Version bump
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f7cb0a040cab507541405d64efbf44b874acf207
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 14:48:23 2011 +0200

    Add SubFactories, and full testing.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit df8b1e10e06a6a6faa15808caa7167f3a8361c55
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 11:32:18 2011 +0200

    Update gitignore for VI
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit efeba1bae0a04e384d49ba9081a013559e9dee82
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 11:32:05 2011 +0200

    Move tests.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 869e18ea58b7853ba20a8fdc388337ca27f006d6
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Mon May 16 11:15:03 2011 +0200

    Add a DeclarationHolder containing all the logic related to attribute declaration.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 98bfafaaf39c74ef0f9b0ba707a579aeaecfa020
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 18:21:57 2011 +0200

    Cleaner code for ordered attributes.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f163c4a74ea726429046c090b72c6ff6c753edc8
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 16:40:15 2011 +0200

    Improve README.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b0f29ff90509d2d018c41e05f387329fab978163
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 16:06:29 2011 +0200

    Version bump.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 64a059101d0119e18c1cb0b15b0e9e15795ccba1
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 16:06:13 2011 +0200

    Improve handling of custom build/create functions.
    
    Only public attributes (i.e not starting with _) will be handled properly.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit f57a0c213ffe12325e20e69e5cc03ff27633d06c
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 15:24:53 2011 +0200

    Trailing whitespace
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit d3835fdc4e556ca5abfdd98e89437a96ab54e4c7
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Fri May 13 15:24:07 2011 +0200

    Update text wrt previous commit.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b829744fb3188cee8c024dad27bd04e6d9de2d09
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Thu May 12 19:18:47 2011 +0200

    Improve base.py: use pop(), allow factory inheritance.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 6df2ca02df8b07650b708491db8001c07cb72061
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed May 11 16:19:20 2011 +0200

    Fix concurrency between declarations for LazyAttributes and Sequence.
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit 918daab6bbaf205f12927671f902a56eca46a3ec
Author: Raphaël Barrois <raphael.barrois@polyconseil.fr>
Date:   Wed May 11 16:12:46 2011 +0200

    Remove trailing whitespace
    
    Signed-off-by: Raphaël Barrois <raphael.barrois@polyconseil.fr>

commit b48c9981fb1a0728ca5627a38e35f146f65266fc
Author: Mark Sandstrom <mark@deliciouslynerdy.com>
Date:   Sun Aug 22 12:14:41 2010 -0700

    minor correction to the LazyAttributeSequence example in the readme

commit 8e1a3cde43f740a71fd6e97865a6cf957c66fac1
Author: Mark Sandstrom <mark@deliciouslynerdy.com>
Date:   Sun Aug 22 12:11:01 2010 -0700

    ignore build/ dist/ and MANIFEST

commit 0431afa53f064529dd0d018f3c67f254352b66e7
Author: Mark Sandstrom <mark@deliciouslynerdy.com>
Date:   Sun Aug 22 11:33:45 2010 -0700

    factory_boy: a test fixtures replacement based on thoughtbot's factory_girl for Ruby
